#ifndef CONFIGPARSER_H
#define CONFIGPARSER_H

#include <math.h>
#include <qxml.h>
#include <qstringlist.h>
#include <qfile.h>

#include <qpe/global.h>

class ConfigParser : public QXmlDefaultHandler
{
public:
	int parseMode;
	int settings,init;
	int countCameraCategory;
	int indexCameraCategory;
	int countCameraType;
	int indexCameraType;
	int countAspectRatio;
	int indexAspectRatio;
	double adjustments;


	QXmlInputSource *configSource;
	QXmlSimpleReader *configReader;

	QStringList Categories;
	QStringList CameraTypes;
	QStringList AspectRatios;
	QString parsingCameraCategory;
	QString parsingCameraType;
	QString parsingAspectRatio;
	QString activeCameraCategory;
	QString activeCameraType;
	QString activeAspectRatio;

	double aspect_ratio;
	double circle_of_confusion;
	double filmwidth;
	double filmheight;

	ConfigParser() { init=1; settings=0; }
	~ConfigParser() {}
	bool startDocument();
	bool endDocument();
	bool startElement( const QString&, const QString&, const QString& qName, const QXmlAttributes& );
	bool endElement( const QString&, const QString&, const QString& qName);

	void recreate(void);
	bool configOpen(void);
	bool configClose(void);
	void configGetCategories(void);
	void configGetCameras(void);
	void configGetAspectRatios(void);
	void configGetCurrentAspectRatio(void);
};
#endif // CONFIGPARSER_H
