#ifndef DOUBLESPINBOX_H
#define DOUBLESPINBOX_H

#include <qspinbox.h>
#include <qvalidator.h>

class DoubleSpinBox : public QSpinBox
{
	Q_OBJECT
 public:
	DoubleSpinBox( QWidget* parent = 0, const char* name = 0 );
	DoubleSpinBox( double minValue, double maxValue, int decimals = 2, double step = 1.0, QWidget* parent = 0, const char* name = 0 );
	~DoubleSpinBox();

virtual QSize sizeHint () const;

	double value() const;
	double minValue() const;
	double maxValue() const;

	void setRange( double minValue, double maxValue );

public slots:
	bool eventFilter(QObject *object, QEvent *event);
	void setValue( double value );
	void setSteps( double value );
	void updateValue( double value);

signals:
	void valueChanged( double value );
	void clicked( void );

protected:
	virtual QString mapValueToText ( int value );
	virtual int mapTextToValue ( bool * ok = 0 );
	virtual void valueChange ();

private:
	QDoubleValidator* dVal;
	int dec;
};

#endif
