#ifndef NUMPAD_H
#define NUMPAD_H

#include <qdialog.h>
#include <qwidget.h>
#include <qhbox.h>
#include <qvbox.h>
#include <qlayout.h>
#include <qpushbutton.h>
#include <qcombobox.h>
#include <qlineedit.h>
#include <qvalidator.h>
#include <qevent.h>
#include <qsignalmapper.h>

#include "tools.h"
#include "ca.h"

class numPad : public QDialog
{
	Q_OBJECT
private:
	QSignalMapper *signalMapper;
public:
	QComboBox *myComboBox;
	QLineEdit *myLineEdit;
	QPushButton *myPushButtonPlus;
	QPushButton *myPushButtonMinus;
	double value,originalValue;
	int units;	// 0 - Meter, 1 - Feet, 2 - mm, 3 - Inches.
	int relative; // +1 = increment, -1 = decrement, 0 = set value.

	numPad(QWidget *parent=0, const char *name=0, bool modal=FALSE, double original_value=0, int startUnits=0, WFlags f=0);
	~numPad() {}

private slots:
	void mapButton(QPushButton *button, int signal);
public slots:
	void changeValue(const QString &string);
	void changeUnits(int newUnits=0);
	void clickedButtons(int signal);
	void accept(void);
};

#endif
